
TYPO3.Flow - Bug # 3451

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2009-05-25 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: LazyLoadingProxy must mark property as clean after activation
Description

Make sure we mark the property as clean after setting it on the parent in _loadRealInstance(), so it is not considered dirty because of
the activation/replacement...

Associated revisions
Revision bcb52e9c - 2009-06-09 21:23 - Karsten Dambekalns

[FIX] FLOW3 (AOP): getMethodArgument() on JoinPoint no longer throws an exception if a NULL value is found in the requested property
[API+] FLOW3 (Persistence): FLOW3_Persistence_memorizeCleanState() now takes an optional $propertyName argument, refs #3451
[FIX] FLOW3 (Persistence): The LazyLoadingProxy now marks activated properties as clean upon activation, resolves #3451

History
#1 - 2009-06-09 21:22 - Karsten Dambekalns
- Tracker changed from Feature to Bug

#2 - 2009-06-09 22:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2591.

#3 - 2009-07-13 11:23 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 1
